Bug 219488 - math/octave: fails to build with lang/gcc6 or later on 10.*
Summary: math/octave: fails to build with lang/gcc6 or later on 10.*
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Raphael Kubo da Costa
URL:
Keywords:
Depends on: 221065
Blocks: 219275
  Show dependency treegraph
 
Reported: 2017-05-24 03:53 UTC by Jan Beich
Modified: 2017-08-06 17:13 UTC (History)
3 users (show)

See Also:
rakuco: maintainer-feedback-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-05-24 03:53:19 UTC
/usr/local/lib/libGraphicsMagick++.so: undefined reference to `operator delete(void*, unsigned long)'
c++: error: linker command failed with exit code 1 (use -v to see invocation)

http://package22.nyi.freebsd.org/data/103amd64-default-PR219275/2017-05-20_20h22m32s/logs/errors/octave-4.0.3_3.log
http://package23.nyi.freebsd.org/data/103i386-default-PR219275/2017-05-20_20h22m29s/logs/errors/octave-4.0.3_3.log
Comment 1 Raphael Kubo da Costa freebsd_committer 2017-07-30 14:22:38 UTC
I believe this is fixed via bug 221065, but I haven't tried it out myself because of the Java ports that need to be built in Poudriere. I'd appreciate it if someone could confirm this is working now.
Comment 2 Raphael Kubo da Costa freebsd_committer 2017-08-06 17:13:19 UTC
Confirmed to work in both 10.3-i386 and HEAD-amd64.